#### D.5.2.31 chWedge

Procedure from library `chern.lib` (see chern_lib).

Usage:
  chWedge(k, r, c [,pos]); k, r integers, c list of polynomials, pos list of integers

Return:
  list with entries: int N, list of polynomials l

Purpose:
  computes the rank and the Chern classes of the exterior power of a vector bundle

Note:
  for the second exterior power chWedge2L(...) could be faster

Example:

    LIB "chern.lib";
    ring r=0, (c(1..5)), dp;
    list l=c(1..5);
    // the rank and the Chern classes of the second exterior power of a vector bundle of rank 3
    print( chWedge(2, 3, l) );
    // the rank and the first 3 Chern classes
    // of the fourth exterior power of a vector bundle of rank 5
    print( chWedge(4, 5, l, 1, 2, 3) );

User manual for Singular version 4.4.1, 2025, generated by texi2html.